Status: Invalid % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Application

Target version: 2.3.0-2442 (rev. org.gvsig.desktop-2.0.140)

Severity: Blocker Add-on version:

gvSIG version: 2.3.0 Add-on build:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Sometimes If | try to execute win64 gvSIG portable double-clicking on the gvsig-desktop.vbs file, the following error appears:

vbs_error.png

The error is due to the second row of gvsig-desktop.vbs:

shell.CurrentDirectory = "${INSTALL_PATH}"

In fact, ${INSTALL_PATH]} doesn't exist on Windows. | suggest to replace it with:

shell.CurrentDirectory = CreateObject("Scripting.FileSystemObject"). GetParentFolderName(Wscript.ScriptFullName)

Source:
https://blogs.technet.microsoft.com/heyscriptingguy/2006/04/05/how-can-i-determine-the-path-to-the-folder-where-a-script-is-running/

Related to #4122.

Related issues:
Duplicates Application: gvSIG desktop - gvSIG bugs # 4317: gvsig-desktop.cmd:... Closed 08/08/2016

History

#1 - 08/21/2016 11:17 AM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #4317: gvsig-desktop.cmd: ${INSTALL_DRIVE} is not recognized (in the portable) added

#2 - 08/21/2016 11:18 AM - Joaquin del Cerro Murciano
- Related to deleted (gvSIG bugs #4317: gvsig-desktop.cmd: ${INSTALL_DRIVE} is not recognized (in the portable))

#3 - 08/21/2016 11:18 AM - Joaquin del Cerro Murciano
- Duplicates gvSIG bugs #4317: gvsig-desktop.cmd: ${INSTALL_DRIVE} is not recognized (in the portable) added

#4 - 08/21/2016 11:19 AM - Joaquin del Cerro Murciano

- Status changed from New to Invalid
https://blogs.technet.microsoft.com/heyscriptingguy/2006/04/05/how-can-i-determine-the-path-to-the-folder-where-a-script-is-running/

#5 - 08/21/2016 11:23 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2442 (rev. org.gvsig.desktop-2.0.149)

#6 - 08/31/2016 08:03 PM - Antonio Falciano

From gvSIG Usuarios mailing list: http://osgeo-org.1560.x6.nabble.com/Error-al-abrir-version-portable-2-3-0-2441-RC2-td5280039.html

Same error with RC4.
